Index: trunk/source/processes/management/include/G4IVContinuousDiscreteProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4IVContinuousDiscreteProcess.hh	(revision 819)
+++ trunk/source/processes/management/include/G4IVContinuousDiscreteProcess.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4IVContinuousDiscreteProcess.hh,v 1.8 2006/06/29 21:07:14 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // $Id: 
Index: trunk/source/processes/management/include/G4IVRestDiscreteProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4IVRestDiscreteProcess.hh	(revision 819)
+++ trunk/source/processes/management/include/G4IVRestDiscreteProcess.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4IVRestDiscreteProcess.hh,v 1.8 2006/06/29 21:07:16 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // $Id: 
Index: trunk/source/processes/management/include/G4ParticleTypes.hh
===================================================================
--- trunk/source/processes/management/include/G4ParticleTypes.hh	(revision 819)
+++ trunk/source/processes/management/include/G4ParticleTypes.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParticleTypes.hh,v 1.6 2006/06/29 21:07:18 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcTblElement.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcTblElement.hh	(revision 819)
+++ trunk/source/processes/management/include/G4ProcTblElement.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcTblElement.hh,v 1.11 2006/06/29 21:07:20 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcTblElement.icc
===================================================================
--- trunk/source/processes/management/include/G4ProcTblElement.icc	(revision 819)
+++ trunk/source/processes/management/include/G4ProcTblElement.icc	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcTblElement.icc,v 1.8 2006/06/29 21:07:22 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcessAttribute.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcessAttribute.hh	(revision 819)
+++ trunk/source/processes/management/include/G4ProcessAttribute.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessAttribute.hh,v 1.5 2006/06/29 21:07:24 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcessManager.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcessManager.hh	(revision 819)
+++ trunk/source/processes/management/include/G4ProcessManager.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessManager.hh,v 1.16 2007/10/02 08:23:20 kurasige Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcessManager.icc
===================================================================
--- trunk/source/processes/management/include/G4ProcessManager.icc	(revision 819)
+++ trunk/source/processes/management/include/G4ProcessManager.icc	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessManager.icc,v 1.6 2007/03/30 01:02:28 kurasige Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcessManagerMessenger.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcessManagerMessenger.hh	(revision 819)
+++ trunk/source/processes/management/include/G4ProcessManagerMessenger.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessManagerMessenger.hh,v 1.7 2006/06/29 21:07:30 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/management/include/G4ProcessTable.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcessTable.hh	(revision 819)
+++ trunk/source/processes/management/include/G4ProcessTable.hh	(revision 963)
@@ -27,5 +27,5 @@
 //
 // $Id: G4ProcessTable.hh,v 1.10 2006/06/29 21:07:32 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcessTable.icc
===================================================================
--- trunk/source/processes/management/include/G4ProcessTable.icc	(revision 819)
+++ trunk/source/processes/management/include/G4ProcessTable.icc	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessTable.icc,v 1.5 2006/06/29 21:07:34 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //  History:
Index: trunk/source/processes/management/include/G4ProcessTableMessenger.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcessTableMessenger.hh	(revision 819)
+++ trunk/source/processes/management/include/G4ProcessTableMessenger.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessTableMessenger.hh,v 1.7 2006/06/29 21:07:36 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/management/include/G4ProcessType.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcessType.hh	(revision 819)
+++ trunk/source/processes/management/include/G4ProcessType.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessType.hh,v 1.5 2006/06/29 21:07:38 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/management/include/G4ProcessVector.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcessVector.hh	(revision 819)
+++ trunk/source/processes/management/include/G4ProcessVector.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessVector.hh,v 1.10 2006/06/29 21:07:40 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcessVector.icc
===================================================================
--- trunk/source/processes/management/include/G4ProcessVector.icc	(revision 819)
+++ trunk/source/processes/management/include/G4ProcessVector.icc	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessVector.icc,v 1.5 2006/06/29 21:07:42 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 inline G4bool G4ProcessVector::operator==(const G4ProcessVector &right) const
Index: trunk/source/processes/management/include/G4VContinuousDiscreteProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4VContinuousDiscreteProcess.hh	(revision 819)
+++ trunk/source/processes/management/include/G4VContinuousDiscreteProcess.hh	(revision 963)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VContinuousDiscreteProcess.hh,v 1.8.4.1 2008/04/25 11:47:06 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4VContinuousDiscreteProcess.hh,v 1.9 2007/11/15 04:10:18 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4VContinuousProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4VContinuousProcess.hh	(revision 819)
+++ trunk/source/processes/management/include/G4VContinuousProcess.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VContinuousProcess.hh,v 1.6 2006/06/29 21:07:46 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4VDiscreteProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4VDiscreteProcess.hh	(revision 819)
+++ trunk/source/processes/management/include/G4VDiscreteProcess.hh	(revision 963)
@@ -26,6 +26,6 @@
 
 //
-// $Id: G4VDiscreteProcess.hh,v 1.8.4.1 2008/04/25 11:47:06 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4VDiscreteProcess.hh,v 1.9 2007/11/15 04:10:18 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4VProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4VProcess.hh	(revision 819)
+++ trunk/source/processes/management/include/G4VProcess.hh	(revision 963)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VProcess.hh,v 1.24 2007/10/02 08:23:20 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4VProcess.hh,v 1.25 2007/11/15 04:09:58 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
@@ -53,4 +53,5 @@
 //   Added PreparePhysicsTable  20 Aug. 2004 H.Kurashige
 //   Added isXXXXDoItIsEnabled   2 Oct. 2007 H.Kurashige
+//   Added ProcessSubType   15 Nov. 2007 H.Kurashige
 
 #ifndef G4VProcess_h 
@@ -261,4 +262,10 @@
       //  Set the process type.
 
+      G4int GetProcessSubType() const;
+      //  Returns the process sub type.
+
+      void SetProcessSubType(G4int );
+      //  Set the process sub type.
+
       static const G4String& GetProcessTypeName(G4ProcessType );
       //  Returns the process type name
@@ -329,4 +336,7 @@
       //  The type of the process
 
+      G4int theProcessSubType;
+      //  The sub type of the process
+
       G4double thePILfactor;
       // factor for PhysicsInteractionLength 
@@ -379,4 +389,16 @@
 }
 
+inline
+ G4int G4VProcess::GetProcessSubType() const
+{
+  return theProcessSubType;
+}
+
+inline
+ void G4VProcess::SetProcessSubType(G4int value)
+{
+ theProcessSubType = value;
+}
+
 inline  void G4VProcess::SetVerboseLevel(G4int value)
 {
Index: trunk/source/processes/management/include/G4VRestContinuousDiscreteProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4VRestContinuousDiscreteProcess.hh	(revision 819)
+++ trunk/source/processes/management/include/G4VRestContinuousDiscreteProcess.hh	(revision 963)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VRestContinuousDiscreteProcess.hh,v 1.8.4.1 2008/04/25 11:47:06 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4VRestContinuousDiscreteProcess.hh,v 1.9 2007/11/15 04:10:18 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4VRestContinuousProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4VRestContinuousProcess.hh	(revision 819)
+++ trunk/source/processes/management/include/G4VRestContinuousProcess.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRestContinuousProcess.hh,v 1.6 2006/06/29 21:07:54 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4VRestDiscreteProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4VRestDiscreteProcess.hh	(revision 819)
+++ trunk/source/processes/management/include/G4VRestDiscreteProcess.hh	(revision 963)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VRestDiscreteProcess.hh,v 1.8.4.1 2008/04/25 11:47:07 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4VRestDiscreteProcess.hh,v 1.9 2007/11/15 04:10:18 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4VRestProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4VRestProcess.hh	(revision 819)
+++ trunk/source/processes/management/include/G4VRestProcess.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRestProcess.hh,v 1.6 2006/06/29 21:07:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/management/include/G4WrapperProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4WrapperProcess.hh	(revision 819)
+++ trunk/source/processes/management/include/G4WrapperProcess.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4WrapperProcess.hh,v 1.9 2007/12/12 10:09:49 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
